<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Easing Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dc0/class_easing.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">Easing Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d4/d7b/class_input.html">Input</a> value between 0 and 1, returns value adjusted by easing, no automatic clamping of input(do your own !!)  
 <a href="../../dc/dc0/class_easing.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a3744440345f7edc39e846f033ecf9655"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a3744440345f7edc39e846f033ecf9655">EaseInSine</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a3744440345f7edc39e846f033ecf9655"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a24c43fccbaae9bba7bbc363dff439"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a21a24c43fccbaae9bba7bbc363dff439">EaseOutSine</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a21a24c43fccbaae9bba7bbc363dff439"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b66f1105ba8f1d20743564d3ecbbdd8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a4b66f1105ba8f1d20743564d3ecbbdd8">EaseInOutSine</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a4b66f1105ba8f1d20743564d3ecbbdd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b0543fb9427ff30ae93898c8ca5475"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#ae2b0543fb9427ff30ae93898c8ca5475">EaseInQuad</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:ae2b0543fb9427ff30ae93898c8ca5475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6effc4b2b3976d89a0c0a9bf0774c459"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a6effc4b2b3976d89a0c0a9bf0774c459">EaseOutQuad</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a6effc4b2b3976d89a0c0a9bf0774c459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa500911d2036081f162dc78772b6b368"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#aa500911d2036081f162dc78772b6b368">EaseInOutQuad</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:aa500911d2036081f162dc78772b6b368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce6453fb6289d18d7f1151efdd15fc2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a6ce6453fb6289d18d7f1151efdd15fc2">EaseInCubic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a6ce6453fb6289d18d7f1151efdd15fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9135bc72ed9822979c384a2647b91623"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a9135bc72ed9822979c384a2647b91623">EaseOutCubic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a9135bc72ed9822979c384a2647b91623"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55c39968a0f9827d963221de5de3ac15"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a55c39968a0f9827d963221de5de3ac15">EaseInOutCubic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a55c39968a0f9827d963221de5de3ac15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53c9b2c839be1e4a0f1406f642104c25"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a53c9b2c839be1e4a0f1406f642104c25">EaseInQuart</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a53c9b2c839be1e4a0f1406f642104c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc24268b34f8ec0635597f56434e28e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a4cc24268b34f8ec0635597f56434e28e">EaseOutQuart</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a4cc24268b34f8ec0635597f56434e28e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa1f8bde80b97316e237f262b8905d6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#aaaa1f8bde80b97316e237f262b8905d6">EaseInOutQuart</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:aaaa1f8bde80b97316e237f262b8905d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a7f62b8e8a0f02b3962392fd5abcdb"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a01a7f62b8e8a0f02b3962392fd5abcdb">EaseInQuint</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a01a7f62b8e8a0f02b3962392fd5abcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0b82eff8b64435b49e57d79cdc56bae"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#aa0b82eff8b64435b49e57d79cdc56bae">EaseOutQuint</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:aa0b82eff8b64435b49e57d79cdc56bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14763e7c4aaf4cfc7c19e919a4bd7edf"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a14763e7c4aaf4cfc7c19e919a4bd7edf">EaseInOutQuint</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a14763e7c4aaf4cfc7c19e919a4bd7edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac70041cf0e95ef3e497c8d560a1e2ca0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#ac70041cf0e95ef3e497c8d560a1e2ca0">EaseInExpo</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:ac70041cf0e95ef3e497c8d560a1e2ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89684a570f6021b664c6dade903e0091"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a89684a570f6021b664c6dade903e0091">EaseOutExpo</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a89684a570f6021b664c6dade903e0091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3676f8c4db5cee8c55e940d0a8d6c6b"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#ab3676f8c4db5cee8c55e940d0a8d6c6b">EaseInOutExpo</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:ab3676f8c4db5cee8c55e940d0a8d6c6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb8617d109776f7e0a8b8a7754f43ffd"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">EaseInCirc</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:afb8617d109776f7e0a8b8a7754f43ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef1086c6647b61fefc03b7e25465c457"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#aef1086c6647b61fefc03b7e25465c457">EaseOutCirc</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:aef1086c6647b61fefc03b7e25465c457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ae54657f75393100c1e99df224902c0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a3ae54657f75393100c1e99df224902c0">EaseInOutCirc</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a3ae54657f75393100c1e99df224902c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ae10a6b2727f35fdffad0addfffafcb"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a0ae10a6b2727f35fdffad0addfffafcb">EaseInBack</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=1.70158)</td></tr>
<tr class="separator:a0ae10a6b2727f35fdffad0addfffafcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2185181e1662f8c26f77a295b68a1bd5"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a2185181e1662f8c26f77a295b68a1bd5">EaseOutBack</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=1.70158)</td></tr>
<tr class="separator:a2185181e1662f8c26f77a295b68a1bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d12811882f7a6bf172dbfde69fc1c62"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a6d12811882f7a6bf172dbfde69fc1c62">EaseInOutBack</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=1.70158)</td></tr>
<tr class="separator:a6d12811882f7a6bf172dbfde69fc1c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae261e15507cda0ff84dcf75153c123bf"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#ae261e15507cda0ff84dcf75153c123bf">EaseInElastic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=0.7)</td></tr>
<tr class="separator:ae261e15507cda0ff84dcf75153c123bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9f6af483ef4e9ea8d0d6b18cb43880"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a6b9f6af483ef4e9ea8d0d6b18cb43880">EaseOutElastic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=0.7)</td></tr>
<tr class="separator:a6b9f6af483ef4e9ea8d0d6b18cb43880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8c81e6bf1af731b80bcaea5a1e3447"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a3e8c81e6bf1af731b80bcaea5a1e3447">EaseInOutElastic</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t, <a class="el" href="../../d4/dc3/classfloat.html">float</a> magnitude=0.65)</td></tr>
<tr class="separator:a3e8c81e6bf1af731b80bcaea5a1e3447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac06a3959d5765f07fa26457b1e969d61"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">EaseOutBounce</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:ac06a3959d5765f07fa26457b1e969d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5901884972a425f822762fd03273fa89"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a5901884972a425f822762fd03273fa89">EaseInBounce</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a5901884972a425f822762fd03273fa89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c261fd6b4346a7ba5986febd622eced"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dc0/class_easing.html#a0c261fd6b4346a7ba5986febd622eced">EaseInOutBounce</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> t)</td></tr>
<tr class="separator:a0c261fd6b4346a7ba5986febd622eced"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/d7b/class_input.html">Input</a> value between 0 and 1, returns value adjusted by easing, no automatic clamping of input(do your own !!) </p>

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00002">2</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0ae10a6b2727f35fdffad0addfffafcb" name="a0ae10a6b2727f35fdffad0addfffafcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ae10a6b2727f35fdffad0addfffafcb">&#9670;&#160;</a></span>EaseInBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInBack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>1.70158</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00168">168</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a5901884972a425f822762fd03273fa89" name="a5901884972a425f822762fd03273fa89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5901884972a425f822762fd03273fa89">&#9670;&#160;</a></span>EaseInBounce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInBounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00271">271</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="afb8617d109776f7e0a8b8a7754f43ffd" name="afb8617d109776f7e0a8b8a7754f43ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb8617d109776f7e0a8b8a7754f43ffd">&#9670;&#160;</a></span>EaseInCirc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInCirc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00142">142</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a6ce6453fb6289d18d7f1151efdd15fc2" name="a6ce6453fb6289d18d7f1151efdd15fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce6453fb6289d18d7f1151efdd15fc2">&#9670;&#160;</a></span>EaseInCubic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInCubic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00037">37</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="ae261e15507cda0ff84dcf75153c123bf" name="ae261e15507cda0ff84dcf75153c123bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae261e15507cda0ff84dcf75153c123bf">&#9670;&#160;</a></span>EaseInElastic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInElastic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>0.7</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00195">195</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="ac70041cf0e95ef3e497c8d560a1e2ca0" name="ac70041cf0e95ef3e497c8d560a1e2ca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac70041cf0e95ef3e497c8d560a1e2ca0">&#9670;&#160;</a></span>EaseInExpo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInExpo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00103">103</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a6d12811882f7a6bf172dbfde69fc1c62" name="a6d12811882f7a6bf172dbfde69fc1c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d12811882f7a6bf172dbfde69fc1c62">&#9670;&#160;</a></span>EaseInOutBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutBack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>1.70158</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00179">179</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a0c261fd6b4346a7ba5986febd622eced" name="a0c261fd6b4346a7ba5986febd622eced"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c261fd6b4346a7ba5986febd622eced">&#9670;&#160;</a></span>EaseInOutBounce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutBounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00276">276</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a3ae54657f75393100c1e99df224902c0" name="a3ae54657f75393100c1e99df224902c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ae54657f75393100c1e99df224902c0">&#9670;&#160;</a></span>EaseInOutCirc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutCirc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00154">154</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a55c39968a0f9827d963221de5de3ac15" name="a55c39968a0f9827d963221de5de3ac15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55c39968a0f9827d963221de5de3ac15">&#9670;&#160;</a></span>EaseInOutCubic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutCubic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00048">48</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a3e8c81e6bf1af731b80bcaea5a1e3447" name="a3e8c81e6bf1af731b80bcaea5a1e3447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e8c81e6bf1af731b80bcaea5a1e3447">&#9670;&#160;</a></span>EaseInOutElastic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutElastic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>0.65</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00222">222</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="ab3676f8c4db5cee8c55e940d0a8d6c6b" name="ab3676f8c4db5cee8c55e940d0a8d6c6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3676f8c4db5cee8c55e940d0a8d6c6b">&#9670;&#160;</a></span>EaseInOutExpo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutExpo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00122">122</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="aa500911d2036081f162dc78772b6b368" name="aa500911d2036081f162dc78772b6b368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa500911d2036081f162dc78772b6b368">&#9670;&#160;</a></span>EaseInOutQuad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutQuad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00029">29</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="aaaa1f8bde80b97316e237f262b8905d6" name="aaaa1f8bde80b97316e237f262b8905d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaa1f8bde80b97316e237f262b8905d6">&#9670;&#160;</a></span>EaseInOutQuart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutQuart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00068">68</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a14763e7c4aaf4cfc7c19e919a4bd7edf" name="a14763e7c4aaf4cfc7c19e919a4bd7edf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14763e7c4aaf4cfc7c19e919a4bd7edf">&#9670;&#160;</a></span>EaseInOutQuint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutQuint </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00089">89</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a4b66f1105ba8f1d20743564d3ecbbdd8" name="a4b66f1105ba8f1d20743564d3ecbbdd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b66f1105ba8f1d20743564d3ecbbdd8">&#9670;&#160;</a></span>EaseInOutSine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInOutSine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="ae2b0543fb9427ff30ae93898c8ca5475" name="ae2b0543fb9427ff30ae93898c8ca5475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2b0543fb9427ff30ae93898c8ca5475">&#9670;&#160;</a></span>EaseInQuad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInQuad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a53c9b2c839be1e4a0f1406f642104c25" name="a53c9b2c839be1e4a0f1406f642104c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53c9b2c839be1e4a0f1406f642104c25">&#9670;&#160;</a></span>EaseInQuart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInQuart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00056">56</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a01a7f62b8e8a0f02b3962392fd5abcdb" name="a01a7f62b8e8a0f02b3962392fd5abcdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a7f62b8e8a0f02b3962392fd5abcdb">&#9670;&#160;</a></span>EaseInQuint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInQuint </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00078">78</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a3744440345f7edc39e846f033ecf9655" name="a3744440345f7edc39e846f033ecf9655"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3744440345f7edc39e846f033ecf9655">&#9670;&#160;</a></span>EaseInSine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseInSine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a2185181e1662f8c26f77a295b68a1bd5" name="a2185181e1662f8c26f77a295b68a1bd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2185181e1662f8c26f77a295b68a1bd5">&#9670;&#160;</a></span>EaseOutBack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutBack </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>1.70158</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00173">173</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="ac06a3959d5765f07fa26457b1e969d61" name="ac06a3959d5765f07fa26457b1e969d61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06a3959d5765f07fa26457b1e969d61">&#9670;&#160;</a></span>EaseOutBounce()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutBounce </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00244">244</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="aef1086c6647b61fefc03b7e25465c457" name="aef1086c6647b61fefc03b7e25465c457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef1086c6647b61fefc03b7e25465c457">&#9670;&#160;</a></span>EaseOutCirc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutCirc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00148">148</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a9135bc72ed9822979c384a2647b91623" name="a9135bc72ed9822979c384a2647b91623"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9135bc72ed9822979c384a2647b91623">&#9670;&#160;</a></span>EaseOutCubic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutCubic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00042">42</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a6b9f6af483ef4e9ea8d0d6b18cb43880" name="a6b9f6af483ef4e9ea8d0d6b18cb43880"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b9f6af483ef4e9ea8d0d6b18cb43880">&#9670;&#160;</a></span>EaseOutElastic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutElastic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>magnitude</em> = <code>0.7</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00209">209</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a89684a570f6021b664c6dade903e0091" name="a89684a570f6021b664c6dade903e0091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89684a570f6021b664c6dade903e0091">&#9670;&#160;</a></span>EaseOutExpo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutExpo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00113">113</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a6effc4b2b3976d89a0c0a9bf0774c459" name="a6effc4b2b3976d89a0c0a9bf0774c459"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6effc4b2b3976d89a0c0a9bf0774c459">&#9670;&#160;</a></span>EaseOutQuad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutQuad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a4cc24268b34f8ec0635597f56434e28e" name="a4cc24268b34f8ec0635597f56434e28e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cc24268b34f8ec0635597f56434e28e">&#9670;&#160;</a></span>EaseOutQuart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutQuart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00061">61</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="aa0b82eff8b64435b49e57d79cdc56bae" name="aa0b82eff8b64435b49e57d79cdc56bae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0b82eff8b64435b49e57d79cdc56bae">&#9670;&#160;</a></span>EaseOutQuint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutQuint </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00083">83</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<a id="a21a24c43fccbaae9bba7bbc363dff439" name="a21a24c43fccbaae9bba7bbc363dff439"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21a24c43fccbaae9bba7bbc363dff439">&#9670;&#160;</a></span>EaseOutSine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> Easing::EaseOutSine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/dc0/_easing_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Static/<a class="el" href="../../d2/dc0/_easing_8c_source.html">Easing.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/dc0/class_easing.html">Easing</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
